"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readJson = void 0;
const stripJsonComments = require("strip-json-comments");
/**
 * Reads a document for host, removes all comments and parses JSON.
 *
 * @param host - file system tree
 * @param path - file path
 */
function readJson(host, path) {
    if (!host.exists(path)) {
        throw new Error(`Cannot find ${path}`);
    }
    const contents = stripJsonComments(host.read(path).toString('utf-8'));
    try {
        return JSON.parse(contents);
    }
    catch (e) {
        throw new Error(`Cannot parse ${path}: ${e.message}`);
    }
}
exports.readJson = readJson;
//# sourceMappingURL=read-json.js.map